Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3FlushEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractFlushingEventListener
          org.hibernate.event.def.DefaultFlushEventListener
              org.hibernate.ejb.event.EJB3FlushEventListener

All Implemented Interfaces:
  Serializable, org.hibernate.event.FlushEventListener

    public class EJB3FlushEventListener

extends org.hibernate.event.def.DefaultFlushEventListener

In EJB3, it is the create operation that is cascaded to unmanaged ebtities at flush time (instead of the save-update operation in Hibernate).

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`static org.hibernate.event.FlushEventListener` | `INSTANCE`

Constructor Summary
`EJB3FlushEventListener()`

Method Summary
`protected Object` | `getAnything()`
`protected org.hibernate.engine.CascadingAction` | `getCascadingAction()`

Methods inherited from class org.hibernate.event.def.DefaultFlushEventListener
`onFlush`

Methods inherited from class org.hibernate.event.def.AbstractFlushingEventListener
`flushEverythingToExecutions, performExecutions, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final org.hibernate.event.FlushEventListener INSTANCE

Constructor Detail

### EJB3FlushEventListener

    public EJB3FlushEventListener()

Method Detail

### getCascadingAction

    protected org.hibernate.engine.CascadingAction getCascadingAction()

  Overrides:
    `getCascadingAction` in class `org.hibernate.event.def.AbstractFlushingEventListener`

### getAnything

    protected Object getAnything()

  Overrides:
    `getAnything` in class `org.hibernate.event.def.AbstractFlushingEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD